<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Holon interactions</title>
    </head>
    <body>
        <div class = "four-col">
            <label>Start date:</label>
            <label>Start time:</label>
            <label>End date:</label>
            <label>End time:</label>
            <input type = "date" id = "start_date">
            <input type = "time" step = "1" id = "start_time">
            <input type = "date" id = "end_date">
            <input type = "time" step = "1" id = "end_time">
        </div>
        <div class = "two-col"  style="width: 100%; overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
            <div></div>
            <button onclick = "enable_pan_and_zoom()">Enable/disable pan and zoom on diagram. </button>
            <div></div>
            <label>After enabling panning and zooming with above button, zooming can be switched on and off by clicking in the diagram. Zooming sometimes turns off randomly - just click again in diagram to enable</label>
            <div id = "holons" style="width: 200px; overflow-x: scroll;border:thin solid black;margin-bottom: 5px;">
                <button onclick = "get_holon_interactions()">Get holon interactions</button>
                <h4>Resource types:</h4>
                <div id = "hi_types"></div>
                <h4>Resource ids:</h4>
                <div id = "hi_ids"></div>
                
            </div>
            <div id = "hi-diagram" style=" overflow-x: scroll;border:thin solid black;margin-bottom: 5px;"></div>
        </div>
    </body>
</html>